wlan-decoder-java 1.0

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | List of all members
fr.bmartel.protocol.wlan.frame.IWlanManagementFrame Interface Reference
Inheritance diagram for fr.bmartel.protocol.wlan.frame.IWlanManagementFrame:
[legend]

## Public Member Functions
byte[] | getDurationId ()
byte[] | getDestinationAddr ()
byte[] | getSourceAddr ()
byte[] | getBSSID ()
byte[] | getSequenceControl ()
byte[] | getFrameBody ()
byte[] | getFcs ()

## Detailed Description

Wlan 802.11 Management frame basic interface

Author
  Bertrand Martel

## Member Function Documentation

byte [] fr.bmartel.protocol.wlan.frame.IWlanManagementFrame.getBSSID | ( | ) |  |

retrieve BSSID address

Returns

Implemented in fr.bmartel.protocol.wlan.frame.WlanManagementAbstr.

byte [] fr.bmartel.protocol.wlan.frame.IWlanManagementFrame.getDestinationAddr | ( | ) |  |

retrieve destination address

Returns

Implemented in fr.bmartel.protocol.wlan.frame.WlanManagementAbstr.

byte [] fr.bmartel.protocol.wlan.frame.IWlanManagementFrame.getDurationId | ( | ) |  |

retrieve duration id

Returns

Implemented in fr.bmartel.protocol.wlan.frame.WlanManagementAbstr.

byte [] fr.bmartel.protocol.wlan.frame.IWlanManagementFrame.getFcs | ( | ) |  |

Frame Check Sequence

Returns

Implemented in fr.bmartel.protocol.wlan.frame.WlanManagementAbstr.

byte [] fr.bmartel.protocol.wlan.frame.IWlanManagementFrame.getFrameBody | ( | ) |  |

retrieve frame body byte array

Returns

Implemented in fr.bmartel.protocol.wlan.frame.WlanManagementAbstr.

byte [] fr.bmartel.protocol.wlan.frame.IWlanManagementFrame.getSequenceControl | ( | ) |  |

retrieve sequence control frame

Returns

Implemented in fr.bmartel.protocol.wlan.frame.WlanManagementAbstr.

byte [] fr.bmartel.protocol.wlan.frame.IWlanManagementFrame.getSourceAddr | ( | ) |  |

retrieve source address

Returns

Implemented in fr.bmartel.protocol.wlan.frame.WlanManagementAbstr.

The documentation for this interface was generated from the following file:

- /home/abathur/Bureau/wlandecoder/wlandecoder/src/fr/bmartel/protocol/wlan/frame/IWlanManagementFrame.java